public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-im/gajim/
Date: Sun, 13 Apr 2025 15:55:53 +0000 (UTC)	[thread overview]
Message-ID: <1744559684.237f731cce29100754add5cb701b9b71ba7afb3b.sam@gentoo> (raw)

commit:     237f731cce29100754add5cb701b9b71ba7afb3b
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Sun Apr 13 15:49:11 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Apr 13 15:54:44 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=237f731c

net-im/gajim: add 2.1.0

Bug: https://bugs.gentoo.org/951363
Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Closes: https://github.com/gentoo/gentoo/pull/41577
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-im/gajim/Manifest           |   1 +
 net-im/gajim/gajim-2.1.0.ebuild | 106 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+)

diff --git a/net-im/gajim/Manifest b/net-im/gajim/Manifest
index db93662917dc..fbf38e4f67dd 100644
--- a/net-im/gajim/Manifest
+++ b/net-im/gajim/Manifest
@@ -3,3 +3,4 @@ DIST gajim-1.9.3.tar.gz 3803265 BLAKE2B 44c6985728871b82fd86aa8a5e066123cd10a0f9
 DIST gajim-1.9.5.tar.gz 4723544 BLAKE2B 5975338a366eba36bc6f92af8d41f727d00ae0bdeaa93a62ed8f5e1f0c4f91ae1b3334afa9f71d21b57a3cd51d35b052a29fecba4bdd7bb577611e01c53d98d2 SHA512 00adfffa255ecbd73227967f86be02549403e81801339dbd896c9c48c3717e7f99d7c1d70d3629b2b242e60ddba6037a9877f264af6f8b6b0d7d30666a54e5f5
 DIST gajim-2.0.1.tar.gz 4702535 BLAKE2B 6a05fc9ef77bdf3a4512d3efe109d8fac3f294a0f7c1df8718acf078c56701bd892bfe00b8f772d96fa28fbb76d19949990d4e15bf2a39cd24730854709d1817 SHA512 637189c0e6a8777652ae5a58b028fef9452324db9ed41390ab4df3340730b283e28b094584af9d6e591597d21a5fac7c9ab81a33b8c5db6898af765044c4704a
 DIST gajim-2.0.3.tar.gz 4711551 BLAKE2B 66508788267132901f805cc130cd685005c77e3887833e36e31a895e1e9fb699ac84cf448879796870bf58dc321989b31fee4dff490c804f27fa6eea4848398c SHA512 4efb495edaad0e3d0e4945b2e5ff1334fb6703ebf6fc60c6f81861cda01ab85feef5cf90abd214dac6f79036700b6d6d68ed25fe13af91c1ecb6739e9e8ca1bf
+DIST gajim-2.1.0.tar.gz 4739465 BLAKE2B d03822a51dc36fd15138d376d15967bedb71632a9ca8746bc00b13c10b2719f5174d4d1a931da284de1331a891f8a3cd3001240361e2a618350bdd90f57e096a SHA512 be05385f22ff6b5d8627b93cbe3e278ef4a65b367730a0a834f35075ab230c6257295f34bb407d0d97f2a0aac9813e48e3551f63e40012112de2830b7de5b202

diff --git a/net-im/gajim/gajim-2.1.0.ebuild b/net-im/gajim/gajim-2.1.0.ebuild
new file mode 100644
index 000000000000..ed9dcede3d75
--- /dev/null
+++ b/net-im/gajim/gajim-2.1.0.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+PYTHON_REQ_USE="sqlite,xml(+)"
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 optfeature xdg
+
+DESCRIPTION="GTK XMPP Client"
+HOMEPAGE="https://gajim.org/"
+SRC_URI="https://gajim.org/downloads/$(ver_cut 1-2)/${P/_p/-}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+
+# Rekeyword for ~long, ~x86 and ~riscv, when https://bugs.gentoo.org/937582 is fixed.
+# KEYWORDS="~amd64 ~arm64 ~loong ~riscv ~x86"
+KEYWORDS="~amd64 ~arm64 ~loong ~riscv"
+IUSE="voice"
+
+# Same order as in upstream pyproject.toml please for the python dependencies
+
+# For introspection dependencies consult upstream documentation and any gi.require_version in the code
+
+# USE="voice" handles all video and audio.
+# https://dev.gajim.org/gajim/gajim#for-video-and-audio-calls
+# https://dev.gajim.org/gajim/gajim#for-voice-messages
+
+# xdg-desktop-portal: apparent runtime requirement
+# https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2963fc1a23747bbb60a3785bf06dd566e6d8be9
+
+RDEPEND="${COMMON_DEPEND}
+	>=dev-python/cryptography-3.4.8[${PYTHON_USEDEP}]
+	dev-python/css-parser[${PYTHON_USEDEP}]
+	>=dev-python/emoji-2.6.0[${PYTHON_USEDEP}]
+	dev-python/keyring[${PYTHON_USEDEP}]
+	<dev-python/nbxmpp-7.0.0[${PYTHON_USEDEP}]
+	>=dev-python/nbxmpp-6.1.0[${PYTHON_USEDEP}]
+	<dev-python/omemo-dr-2.0.0[${PYTHON_USEDEP}]
+	>=dev-python/omemo-dr-1.0.0[${PYTHON_USEDEP}]
+	dev-python/packaging[${PYTHON_USEDEP}]
+	>=dev-python/pillow-9.1.0[${PYTHON_USEDEP}]
+	>=dev-python/precis-i18n-1.0.0[${PYTHON_USEDEP}]
+	>=dev-python/pycairo-1.16.0[${PYTHON_USEDEP}]
+	>=dev-python/pygobject-3.42.0:3[cairo,${PYTHON_USEDEP}]
+	>=dev-python/qrcode-7.3.1[${PYTHON_USEDEP}]
+	>=dev-python/sqlalchemy-2.0.0[${PYTHON_USEDEP}]
+
+	dev-libs/glib[introspection(+)]
+	>=gui-libs/gtk-4.14.0:4[introspection]
+	gui-libs/gtksourceview:5[introspection]
+	media-libs/graphene[introspection]
+	net-libs/libsoup:3.0[introspection]
+	x11-libs/gdk-pixbuf:2[introspection]
+	>=x11-libs/pango-1.50.0[introspection]
+
+	voice? (
+		media-libs/gstreamer:1.0[introspection]
+		media-libs/gst-plugins-base
+		media-libs/gst-plugins-ugly
+		media-plugins/gst-plugins-gtk
+		media-plugins/gst-plugins-libav
+		net-libs/farstream:0.2[introspection]
+	)
+
+	sys-apps/xdg-desktop-portal
+"
+BDEPEND="
+	>=sys-devel/gettext-0.17-r1
+"
+
+distutils_enable_tests pytest
+
+python_compile_all() {
+	# Generates manpages, app icons, translation and metadata
+	./make.py build --dist unix || die
+}
+
+python_install_all() {
+	# Installs manpages, app icons, translation and metadata
+	./make.py install --dist unix --prefix="${ED}/usr" || die
+
+	# Undo compression in ./make.py install
+	gzip -d "${ED}"/usr/share/man/man1/*.gz || die
+
+	distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+	ewarn "The chat database format changes when upgrading from 1.8.x to 1.9.x."
+	ewarn "The first time the user starts Gajim, an automatic migration is performed."
+
+	# https://dev.gajim.org/gajim/gajim/-/tree/master?ref_type=heads#optional-runtime-requirements
+	#optfeature "Sentry error reporting to dev.gajim.org" dev-python/sentry-sdk
+	optfeature "keyring support" app-crypt/libsecret[introspection]
+	optfeature "spellchecking support" "app-text/hunspell app-text/libspelling:1"
+	optfeature "better NAT traversing" net-libs/gupnp:1.6[introspection]
+	optfeature "network lose detection" net-misc/networkmanager[introspection]
+	optfeature "sharing your location" app-misc/geoclue:2.0[introspection]
+	optfeature "notifcation sound support" media-libs/gsound[introspection]
+
+	xdg_pkg_postinst
+}


             reply	other threads:[~2025-04-13 15:55 UTC|newest]

Thread overview: 134+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-04-13 15:55 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-14  6:52 [gentoo-commits] repo/gentoo:master commit in: net-im/gajim/ Joonas Niilola
2025-04-13 18:28 Andreas Sturmlechner
2025-04-12 20:41 Sam James
2025-03-16 11:05 Sam James
2025-03-16 11:05 Sam James
2025-03-06 10:44 Jakov Smolić
2025-03-06  8:00 WANG Xuerui
2025-03-05 21:06 Sam James
2025-03-05 11:40 Sam James
2025-03-05 11:40 Sam James
2025-03-05 11:40 Sam James
2025-03-01  6:45 Michał Górny
2025-03-01  6:45 Michał Górny
2024-12-19 19:31 Florian Schmaus
2024-12-12 22:44 Jonas Stein
2024-11-30  9:42 Florian Schmaus
2024-11-27  8:29 Florian Schmaus
2024-11-23 16:44 Michał Górny
2024-08-08 20:48 Jonas Stein
2024-05-29  6:10 Joonas Niilola
2024-05-28 18:19 Arthur Zamarin
2024-04-15 15:24 Michał Górny
2024-02-24 15:20 Hanno Böck
2024-02-03 19:09 Sam James
2024-02-03 14:19 Arthur Zamarin
2024-01-23  0:45 Jonas Stein
2024-01-21  0:37 Jonas Stein
2023-12-25 21:12 Jonas Stein
2023-09-09 17:12 WANG Xuerui
2023-08-20 21:27 Marek Szuba
2023-08-15 11:04 Arthur Zamarin
2023-08-15 11:04 Arthur Zamarin
2023-08-14 20:48 Jonas Stein
2023-08-14 19:57 Jonas Stein
2023-07-27  5:25 WANG Xuerui
2023-06-24  3:22 Sam James
2023-06-24  3:22 Sam James
2023-05-19 11:46 Ben Kohler
2023-05-15 20:26 Ben Kohler
2023-04-17  0:49 Matt Turner
2023-02-20 18:20 Michał Górny
2022-12-15 11:09 Sergey Popov
2022-11-18 14:02 Matt Turner
2022-11-18 14:02 Matt Turner
2022-09-08  6:23 Jakov Smolić
2022-09-08  3:31 Sam James
2022-09-07  7:52 Michał Górny
2022-08-07  5:31 Hanno Böck
2022-07-18  3:47 Hanno Böck
2022-06-21  7:25 Michał Górny
2022-05-29 15:11 Hanno Böck
2022-05-22 19:00 Hanno Böck
2022-05-20  7:23 Hanno Böck
2022-05-17 11:21 Hanno Böck
2022-03-25  1:48 Sam James
2022-03-05  9:23 Jakov Smolić
2022-03-05  0:05 Sam James
2022-01-23 12:54 Hanno Böck
2022-01-23  8:45 Hanno Böck
2021-12-03 13:46 Arthur Zamarin
2021-11-13 21:09 Jakov Smolić
2021-11-13 12:51 Jakov Smolić
2021-10-21  4:20 Sam James
2021-10-19 14:36 Hanno Böck
2021-07-19  7:18 Hanno Böck
2021-07-19  7:16 Hanno Böck
2021-04-26 10:34 Sam James
2021-04-22 12:08 Sam James
2021-04-15  6:15 Hanno Böck
2021-04-06 19:49 Sam James
2021-04-06 19:47 Sam James
2021-03-05  9:02 Hanno Böck
2021-02-19  9:30 Hanno Böck
2020-11-02 13:07 Sam James
2020-10-25 19:46 Thomas Deutschmann
2020-09-03  8:56 Hanno Böck
2020-09-03  8:53 Hanno Böck
2020-08-18 11:22 Agostino Sarubbo
2020-08-17  7:01 Agostino Sarubbo
2020-07-21 17:59 Hanno Böck
2020-06-26  9:04 Hanno Böck
2020-04-30  8:11 Hanno Böck
2020-04-26 17:25 Hanno Böck
2020-04-26 15:29 Agostino Sarubbo
2020-04-26 14:16 Agostino Sarubbo
2020-03-02 19:53 Mart Raudsepp
2020-02-09 19:40 Michał Górny
2020-02-09 16:47 Michał Górny
2019-12-19  7:53 Hanno Böck
2019-08-26  7:21 Hanno Boeck
2019-08-19  9:19 Hanno Boeck
2019-05-29 15:14 Hanno Boeck
2019-04-19 14:00 Amadeusz Piotr Żołnowski
2019-04-08 15:32 Mikle Kolyada
2019-04-08  2:18 Thomas Deutschmann
2018-12-07 12:57 Mikle Kolyada
2018-09-16 19:23 Matt Turner
2017-12-29 21:39 Amadeusz Piotr Żołnowski
2017-12-17 20:52 Amadeusz Piotr Żołnowski
2017-12-17 20:52 Amadeusz Piotr Żołnowski
2017-11-14 23:00 Amadeusz Piotr Żołnowski
2017-11-14 23:00 Amadeusz Piotr Żołnowski
2017-11-14 23:00 Amadeusz Piotr Żołnowski
2017-11-14 23:00 Amadeusz Piotr Żołnowski
2017-11-14 23:00 Amadeusz Piotr Żołnowski
2017-11-14 23:00 Amadeusz Piotr Żołnowski
2017-11-14 23:00 Amadeusz Piotr Żołnowski
2017-07-05 19:25 Amadeusz Piotr Żołnowski
2017-06-13 12:31 Agostino Sarubbo
2017-06-12 18:53 Markus Meier
2017-06-04 18:30 Justin Lecher
2017-06-01  9:13 Agostino Sarubbo
2017-06-01  7:41 Agostino Sarubbo
2017-01-15 20:20 Markus Meier
2016-12-21 21:33 Amadeusz Piotr Żołnowski
2016-12-21 11:28 Tobias Klausmann
2016-12-05 15:02 Pacho Ramos
2016-10-05 21:00 Amadeusz Piotr Żołnowski
2016-10-02 12:37 Pacho Ramos
2016-01-18 17:47 Andreas Schuerch
2016-01-17 17:24 Agostino Sarubbo
2016-01-08 22:15 Amadeusz Piotr Żołnowski
2016-01-07 20:25 Markus Meier
2016-01-04  6:08 Jeroen Roovers
2015-12-28 16:19 Agostino Sarubbo
2015-12-28 14:50 Justin Lecher
2015-10-30 12:25 Justin Lecher
2015-10-30 10:15 Agostino Sarubbo
2015-10-17 11:16 Markus Meier
2015-10-12  5:25 Jeroen Roovers
2015-09-28 17:19 Mikle Kolyada
2015-09-28  9:31 Agostino Sarubbo
2015-09-27 18:16 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1744559684.237f731cce29100754add5cb701b9b71ba7afb3b.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox